/* config.h.in.  Generated automatically from configure.in by autoheader.  */

#ifndef	RDF2DAMLDB_CONFIG_H_
#define	RDF2DAMLDB_CONFIG_H_

/* These are standard for all packages using Automake */
#undef PACKAGE
#undef VERSION

#define __DLL
#define __EXPORT

#ifdef __CYGWIN__     /* CYGWIN implements a UNIX API */
#undef WIN
#undef _WIN
#undef _WIN32
#undef _WIN64
#undef __WIN__
#endif


#if defined(_MSC_VER)

#ifdef	__RTLSTATIC
#  define	__DLLRTL
#  define	__EXPORT
#else
#  define	__DLLRTL  __declspec(dllexport)
#  define	__EXPORT  __declspec(dllimport)
#  define	snprintf  _snprintf
#endif

typedef __int8  int8;
typedef __int16 int16;
typedef __int32 int32;
typedef __int64 int64;

typedef unsigned int uint;
typedef unsigned __int8 uint8;
typedef unsigned __int16 uint16;
typedef unsigned __int32 uint32;
typedef unsigned __int64 uint64;

/* define endian macros */
#define __BYTE_ORDER __LITTLE_ENDIAN
#define __LITTLE_ENDIAN 1234
#define __BIG_ENDIAN 4321

#pragma warning (disable:4786)
#pragma warning (disable:4101)

#else /* !defined(_MSC_VER) */

#undef __EXPORT
#undef __stdcall
#define __EXPORT
/* #define __stdcall */

#endif /* !_MSC_VER */

#undef CCXX_NAMESPACES
#undef COMMON_AIX_FIXES
#undef COMMON_XML_PARSING
#undef DEFAULT_DATA_DIRECTORY
#undef HAVE_64_BITS
#undef HAVE_BOOL_TYPE
#undef HAVE_ENDIAN_H
#undef HAVE_EXCEPTION_HANDLING
#undef HAVE_INTTYPES_H
#undef HAVE_LIBDB
#undef HAVE_LIBEXPAT
#undef HAVE_LIBREPAT
#undef HAVE_LIBDAMLDB
#undef HAVE_LOCALTIME_R
#undef HAVE_LONG_LONG
#undef HAVE_MALLOC
#undef HAVE_MEMORY_H
#undef HAVE_MEMSET
#undef HAVE_OLD_IOSTREAM
#undef HAVE_PREAD_PWRITE
#undef HAVE_SIGWAIT2
#undef HAVE_STAT_EMPTY_STRING_BUG
#undef HAVE_STDINT_H
#undef HAVE_STDLIB_H
#undef HAVE_STRDUP
#undef HAVE_STRINGS_H
#undef HAVE_STRING_H
#undef HAVE_STRTOK_R
#undef HAVE_SYS_STAT_H
#undef HAVE_SYS_TIME_H
#undef HAVE_SYS_TYPES_64
#undef HAVE_SYS_TYPES_H
#undef HAVE_SYS_TYPES_H
#undef HAVE_SYS_TYPES_STD
#undef HAVE_UNISTD_H
#undef LSTAT_FOLLOWS_SLASHED_SYMLINK
#undef STDC_HEADERS
#undef TIME_WITH_SYS_TIME
#undef TRACE_ON
#undef WORDS_BIGENDIAN
#undef __BYTE_ORDER
#undef const
#undef size_t

#define	COMMON_OST_NAMESPACE

#ifdef _AIX
#ifndef	_ALL_SOURCE
#define	_ALL_SOURCE
#endif
#endif

#ifndef	_REENTRANT
#define _REENTRANT 1
#endif
#ifndef _THREAD_SAFE
#define _THREAD_SAFE 1
#endif
#ifndef _GNU_SOURCE
#define _GNU_SOURCE 1
#endif
#ifndef _XOPEN_SOURCE
#define _XOPEN_SOURCE 500
#endif

#ifndef	_XOPEN_SOURCE_EXTENDED
#define	_XOPEN_SOURCE_EXTENDED
#endif

#ifdef	mutable
#undef	mutable
#endif
#endif

#ifdef	HAVE_FEATURES_H
#include <features.h>
#endif

/* This is the bottom section */
  
#ifdef HAVE_ENDIAN_H
#include <endian.h>
#else
#define __LITTLE_ENDIAN 1234
#define __BIG_ENDIAN 4321
#endif

 
#if defined(__sun) || defined(__SUN__)
#define __EXTENSIONS__
#endif

#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif

 
#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif
#ifdef HAVE_SYS_TYPES_STD
typedef int8_t int8;
typedef u_int8_t uint8;
typedef int16_t int16;
typedef u_int16_t uint16;
typedef int32_t int32;
typedef u_int32_t uint32;
#ifdef HAVE_SYS_TYPES_64
#define HAVE_64_BITS
typedef int64_t int64;
typedef u_int64_t uint64;
#endif
#else
typedef char int8;
typedef unsigned char uint8;
typedef short int16;
typedef unsigned short uint16;
typedef int int32;
typedef unsigned int uint32;
#endif
#ifndef HAVE_SYS_TYPES_64
#if defined(HAVE_LONG_LONG) || defined(_LONGLONG)
#define HAVE_64_BITS
typedef long long int64;
typedef unsigned long long uint64;
#else
#ifdef __arch64__
#define HAVE_64_BITS
typedef long int int64;
typedef unsigned long int uint64;
#endif
#endif
#endif

 
#ifdef HAVE_SIGACTION
#ifdef HAVE_BSD_SIGNAL_H
#undef HAVE_BSD_SIGNAL_H
#endif
#endif

#ifdef HAVE_BSD_SIGNAL_H
#include <bsd/signal.h>
#else
#include <signal.h>
#endif

#ifndef SA_ONESHOT
#define SA_ONESHOT SA_RESETHAND
#endif

#if TIME_WITH_SYS_TIME
#include <sys/time.h>
#include <time.h>
#else
#if HAVE_SYS_TIME_H
#include <sys/time.h>
#else
#include <time.h>
#endif
#endif

#ifndef HAVE_STRTOK_R
#define strtok_r(s, d, r) strtok(s, d)
#endif                                                                      

#ifndef HAVE_LOCALTIME_R
#define localtime_r(t, b) localtime(t)
#define ctime_r(t, b) ctime(t)
#define gmtime_r(t, b) gmtime(t)
#define asctime_r(t, b) asctime(t)
#endif

#ifdef HAVE_SYS_LIBCSYS_H
#include <sys/libcsys.h>
#endif
 
#ifdef HAVE_WINSOCK_H
#include <winsock.h>
#else
#ifdef HAVE_SYS_SOCKET_H
#include <sys/socket.h>
#ifdef HAVE_SELECT_H
#include <select.h>
#else
#ifdef HAVE_SYS_SELECT_H
#include <sys/select.h>
#endif
#endif
#endif

// Add bool support if missing
#ifndef HAVE_BOOL_TYPE
typedef enum { true=1, false=0 } bool;
#endif

// replace 'throw' with abort for libs on broken C++
#ifndef HAVE_EXCEPTION_HANDLING
/* throw - replacement to throw an exception */
#define THROW(x) abort()
/* throw - replacement to declare an exception */
#define THROWS(x)
#define RETHROW
/*
 * work around dangeling if/else combinations:
 */
#define try if(0) ; else
#define catch(x) if(1) ; else
#else
#define THROW(x) throw x
#define THROWS(x) throw(x)
#define RETRHOW throw
#endif

#ifdef	CCXX_NAMESPACES
#define	USING(x)	using namespace x;
#else
#define	USING(x)
#endif

#ifdef	CCXX_NAMESPACES
#define	USES(x,y)	using x::y;
#else
#define	USES(x,y)
#endif

#ifdef	__KCC
#define	KAI_NONSTD_IOSTREAM 1
#endif

#ifdef __FreeBSD__
#define	ETC_PREFIX "@USR_PREFIX@/etc/"
#endif

#ifndef	ETC_PREFIX
#define	ETC_PREFIX "/etc/"
#endif

#endif /* !RDF2DAMLDB_CONFIG_H_ */
